<?php
namespace backend\components;


use Yii;
use yii\base\Component;
use yii\base\InvalidConfigException;
use yii\helpers\Url;
use Aws\S3\S3Client;

class S3Component extends Component
{
    public function s3UrlFetch()
    {
        $url = Url::current(['lg'=>NULL], TRUE);
        $env = getenv("ENVIRONMENT");
        $post = Yii::$app->request->post();
        $mimeType = $post['mimeType'];
        $imageName = $post['imageName'];
       
        $acl = 'public-read';
        $alias = md5(uniqid()).".jpg";

        $s3Client = new S3Client([
            'region'  => $region,
            'version' => $version,
            'credentials' => [
                'key'    => $key,
                'secret' => $secretKey,
            ],
        ]);

        $cmd = $s3Client->getCommand('putObject', [
            'Bucket' => $bucket,
            'Key'    => $alias,
            'ContentType' => $mimeType,
            'ACL' => $acl,
            'Metadata' =>  [
                'name' => $imageName,
                'alias' => $alias,
                'type' => $mimeType,
            ]
        ]);
        
        $request = $s3Client->createPresignedRequest($cmd, '+20 minutes');
        $presignedUrl = (string) $request->getUri();
        $url = $s3Client->getObjectUrl($bucket, $alias);
        $data = [];
        if(isset($url) && isset($presignedUrl)){
            $data = [
                "url" => $presignedUrl,
                "file_url" => $url,
                "file_alias" => $alias,
                "file_name" => $imageName,
                "mime_type"=> $mimeType
            ];
        }
        
        return $data;
    }
}
        
?>
