<?php
$params = array_merge(
    require __DIR__ . '/../../common/config/params.php',
    require __DIR__ . '/../../common/config/params-local.php',
    require __DIR__ . '/params.php',
    require __DIR__ . '/params-local.php'
);

return [
    'id' => 'app-backend',
    'basePath' => dirname(__DIR__),
    'controllerNamespace' => 'backend\controllers',
    'bootstrap' => ['log'],
    'timeZone' => 'Asia/Kolkata',
    'modules' => [
        'api' => [
            'class' => 'backend\modules\api\Api',
        ],
        'gridview' =>  [
            'class' => '\kartik\grid\Module'
        ], 
     ],
    'components' => [
        's3' => [
            'class' => 'backend\components\s3Component',
        ],

        's3Production' => [ 
            'class' => \indielab\yii2s3\S3::class, 
            'bucket' => 'unesco-mgiep', 
            'key' => 'AKIAJDD4QVKTXXFT4ESA', 
            'secret' => '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', 
            'region' => 'ap-south-1'
        ],

        's3Staging' => [ 
            'class' => \indielab\yii2s3\S3::class, 
            'bucket' => '', 
            'key' => '', 
            'secret' => '', 
            'region' => ''
        ],

        's3Local' => [ 
            'class' => \indielab\yii2s3\S3::class, 
            'bucket' => 'stggoatry', 
            'key' => 'AKIAJ2FIMTSSMRNPEWXQ', 
            'secret' => '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', 
            'region' => 'ap-south-1'
        ],
        'mailer' => [
            'class' => 'yii\swiftmailer\Mailer',
            'viewPath' => '@app/mail',
            'useFileTransport' => false,
            'transport' => [
                'class' => 'Swift_SmtpTransport',
                'host' => 'smtp.gmail.com',
                'username' => '',
                'password' => 'Uabfocff.1',
                'port' => '587',
                'encryption' => 'tls',
            ],
        ],
        'request' => [
            'csrfParam' => '_csrf-backend',
        ],
        'user' => [
            'identityClass' => 'common\models\User',
            'enableAutoLogin' => true,
            'identityCookie' => ['name' => '_identity-backend', 'httpOnly' => true],
        ],
        'assetManager' => [
            'bundles' => [
                'yii\web\JqueryAsset' => [
                    'js'=>[]
                ],
                
            ]
        ],
        'session' => [
            // this is the name of the session cookie used for login on the backend
            'name' => 'advanced-backend',
        ],
        'uniqueid' => [
            'class' => 'backend\components\GenerateUniqueId',
        ],
        'log' => [
            'traceLevel' => YII_DEBUG ? 3 : 0,
//            'targets' => [
//                [
//                    'class' => 'yii\log\FileTarget',
//                    'levels' => ['error', 'warning'],
//                ],
//            ],
            
             'targets' => [
               [
                   'class' => 'urmaul\yii2\log\slack\Target',
                   'levels' => ['error'], // Send message on errors
                   'except' => ['yii\web\HttpException:403', 'yii\web\HttpException:404'], // ...except 403 and 404
                   'enabled' => !YII_DEBUG, // No not send in debug mode
                   'webhookUrl' => 'https://hooks.slack.com/services/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',
                   //'username' => 'MYBOT', // Bot username. Defaults to app name
                   //'icon_url' => null, // Bot icon URL
                   //'icon_emoji' => ':beetle:', // Bot icon emoji
                   //'prefixText' => '', // Any text prefix. As a sample, you can mention @yourself.
               ],
           ],
            
        ],
        'errorHandler' => [
            'errorAction' => 'site/error',
        ],
        
        'urlManager' => [
            'enablePrettyUrl' => true,
            'showScriptName' => false,
            'enableStrictParsing' => false,
            'rules' => [
//                'api/categories/update/<id:\d+>' => 'api/categories/update',
//                'api/categories/view/<id:\d+>' => 'api/categories/view',
//                'api/categories/delete/<id:\d+>' => 'api/categories/delete',
//                ['class' => 'yii\rest\UrlRule', 'controller' => 'api/categories'],
            ],
        ],
        
    ],
    'params' => $params,
];
