<?php

namespace backend\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\models\Category;

/**
 * CategorySearch represents the model behind the search form of `backend\models\Category`.
 */
class CategorySearch extends Category {

    /**
     * {@inheritdoc}
     */
    public function rules() {
        return [
            [['id', 'created_by'], 'integer'],
            [['name', 'status', 'created_date', 'updated_date'], 'safe'],
            [['name'],'trim'],
            
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function scenarios() {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params) {
        $query = Category::find()->orderBy(['(id)' => SORT_DESC]);

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'sort' => ['defaultOrder' => ['id' => SORT_DESC]]
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id' => $this->id,
        ]);

        $query->andFilterWhere(['like', 'name', $this->name])
                ->andFilterWhere(['like', 'status', $this->status]);
        $query->andFilterWhere(['like', 'DATE_FORMAT(created_date,"%d-%m-%Y")', $this->created_date]);
        $query->andFilterWhere(['like', 'DATE_FORMAT(updated_date,"%d-%m-%Y")', $this->updated_date]);

        return $dataProvider;
    }

}
