<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "District".
 *
 * @property int $id
 * @property int $state_id
 * @property string $district_name
 * @property string $created_at
 * @property string $updated_at
 * @property int $status
 * @property string $latitude
 * @property string $longitude
 *
 * @property State $state
 * @property Cluster[] $clusters
 */
class District extends \yii\db\ActiveRecord {

    /**
     * @inheritdoc
     */
    public static function tableName() {
        return 'district';
    }

    /**
     * @inheritdoc
     */
    public function rules() {
        return [
            //[['state_id','district_name'], 'required'],
            [['district_name'], 'trim'],
            [['state_id', 'status'], 'integer'],
            [['created_at', 'updated_at', 'language'], 'safe'],
            [['district_name', 'district_code'], 'string'],
            [['state_id', 'district_name'], 'unique', 'message' => 'This {attribute} already exist.', 'targetAttribute' => ['state_id', 'district_name']],
            // array('district_name', 'match',
            //     'pattern' => '/^[A-Za-z\s]+$/u',
            //     'message' => 'District Name can contain only Alphabets'
            // ),
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels() {
        return [
            'id' => Yii::t('app', 'ID'),
            'state_id' => Yii::t('app', 'State Name'),
            'district_name' => Yii::t('app', 'District Name'),
            'created_at' => Yii::t('app', 'Created At'),
            'updated_at' => Yii::t('app', 'Updated At'),
            'status' => Yii::t('app', 'Status'),
            'latitude' => Yii::t('app', 'Latitude'),
            'longitude' => Yii::t('app', 'Longitude'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getState() {
        return $this->hasOne(State::className(), ['state_id' => 'state_id']);
    }

    public function getDistrictName($id) {
        return $this->find()->select("district_name")->where(["id" => $id])->one()->district_name;
    }

}
