<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "login_history".
 *
 * @property int $id
 * @property int $user_id
 * @property int $logged_in
 * @property int $logged_out
 * @property string $lat
 * @property string $lng
 * @property string $device_id
 * @property string $app_version
 * @property string $mdb_version
 * @property string $ip_address
 * @property string $created_at
 */
class LoginHistory extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'login_history';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['user_id', 'logged_in'], 'required'],
            [['user_id', 'logged_in', 'logged_out'], 'integer'],
            [['created_at'], 'safe'],
            [['lat', 'lng'], 'string', 'max' => 20],
            [['device_id', 'ip_address'], 'string', 'max' => 150],
            [['app_version', 'mdb_version'], 'string', 'max' => 50],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('app', 'ID'),
            'user_id' => Yii::t('app', 'User ID'),
            'logged_in' => Yii::t('app', 'Logged In'),
            'logged_out' => Yii::t('app', 'Logged Out'),
            'lat' => Yii::t('app', 'Lat'),
            'lng' => Yii::t('app', 'Lng'),
            'device_id' => Yii::t('app', 'Device ID'),
            'app_version' => Yii::t('app', 'App Version'),
            'mdb_version' => Yii::t('app', 'Mdb Version'),
            'ip_address' => Yii::t('app', 'Ip Address'),
            'created_at' => Yii::t('app', 'Created At'),
        ];
    }
}
