<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "member_ship".
 *
 * @property int $id
 * @property int $role_id
 * @property string $name
 * @property int $min
 * @property int $max
 * @property string $image
 * @property string $created
 * @property string $updated
 * @property string $status
 */
class MemberShip extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'member_ship';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['role_id', 'name', 'min', 'max', 'image', 'status'], 'required'],
            [['role_id', 'min', 'max'], 'integer'],
            [['created', 'updated'], 'safe'],
            [['status'], 'string'],
            [['name', 'image'], 'string', 'max' => 250],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'role_id' => 'Role ID',
            'name' => 'Name',
            'min' => 'Min',
            'max' => 'Max',
            'image' => 'Image',
            'created' => 'Created',
            'updated' => 'Updated',
            'status' => 'Status',
        ];
    }
}
