<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "partner".
 *
 * @property int $id
 * @property string $slider_name
 * @property string $slider_image
 * @property string $created
 * @property string $updated
 * @property string $status 1=>Active,0=>Inactive
 *
 * @property State $state
 */
class Slider extends \yii\db\ActiveRecord {

    /**
     * {@inheritdoc}
     */
    public static function tableName() {
        return 'slider';
    }

    /**
     * {@inheritdoc}
     */
    public function rules() {
        return [
            [['slider_name','alt_text'], 'required'],
          
            [['created', 'updated'], 'safe'],
            [['status'], 'string'],
            [['slider_name', 'slider_image','alt_text'], 'string', 'max' => 255],
            [['slider_image'], 'file', 'extensions' => 'png,jpg'],
        
          
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels() {
        return [
            'id' => 'ID',
           
            'slider_name' => 'Slider Name',
            'alt_text' => 'Alt Text',
            'slider_image' => 'Slider Image',
            'created' => 'Created',
            'updated' => 'Updated',
            'status' => 'Status',
        ];
    }

  

}
