<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "user_level".
 *
 * @property int $id
 * @property string $user_level
 * @property string $created_at
 * @property string $updated_at
 * @property int $status
 * @property string $latitude
 * @property string $longitude
 *
 * @property User[] $users
 * @property UserLocationMapper[] $userLocationMappers
 */
class UserLevel extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'user_level';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['user_level'], 'required'],
            [['user_level'], 'trim'],
            [['created_at', 'updated_at'], 'safe'],
            [['status'], 'integer'],
            [['user_level', 'latitude', 'longitude'], 'string', 'max' => 100],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('app', 'ID'),
            'user_level' => Yii::t('app', 'User Level'),
            'created_at' => Yii::t('app', 'Created At'),
            'updated_at' => Yii::t('app', 'Updated At'),
            'status' => Yii::t('app', 'Status'),
            'latitude' => Yii::t('app', 'Latitude'),
            'longitude' => Yii::t('app', 'Longitude'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUsers()
    {
        return $this->hasMany(User::className(), ['level_id' => 'id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getUserLocationMappers()
    {
        return $this->hasMany(UserLocationMapper::className(), ['level_id' => 'id']);
    }
}
