<?php

namespace backend\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\models\UserLevel;

/**
 * UserLevelSearch represents the model behind the search form of `backend\models\UserLevel`.
 */
class UserLevelSearch extends UserLevel
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id', 'status'], 'integer'],
            [['user_level', 'created_at', 'updated_at', 'latitude', 'longitude'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = UserLevel::find();
                  if(isset($_REQUEST['UserLevelSearch']['created_at']) && $_REQUEST['UserLevelSearch']['created_at'] != "")
                  {
                    $query->andFilterWhere(['date_format(user_level.created_at,"%d-%m-%Y")'=> $_REQUEST['UserLevelSearch']['created_at']]);
                  }
                  if(isset($_REQUEST['UserLevelSearch']['updated_at']) && $_REQUEST['UserLevelSearch']['updated_at'] != "")
                  {
                    $query->andFilterWhere(['date_format(user_level.updated_at,"%d-%m-%Y")'=> $_REQUEST['UserLevelSearch']['updated_at']]);
                  }
        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'sort'=> ['defaultOrder' => ['id' => SORT_DESC]]
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id' => $this->id,
            'status' => $this->status,
        ]);

        $query->andFilterWhere(['like', 'user_level', $this->user_level])
            ->andFilterWhere(['like', 'latitude', $this->latitude])
            ->andFilterWhere(['like', 'longitude', $this->longitude]);

        return $dataProvider;
    }
}
