<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\grid\GridView;
use yii\helpers\Url;
use kartik\date\DatePicker;
use yii\helpers\ArrayHelper;
use kartik\select2\Select2;
use yii\widgets\Pjax;
use kartik\export\ExportMenu;

/* @var $this yii\web\View */
/* @var $model backend\models\State */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="state-form">
    <?php  $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data', 'enableAjaxValidation' => true]]); ?>
        <div class="box box-primary" style="background-color: #DCDCDC;">
        <div class="box-body">
                <div class="row">
                   <div class="col-md-4">
    <?php echo $form->field($model, 'name')->textInput(['id' => 'name'])->label('Name'); ?>

    </div>
       <div class="col-md-4">
    <?php echo $form->field($model, 'status')->dropDownList([ 1 => 'Active', 0 => 'Inactive', ])->label('Status'); ?>
      
    </div>

                    <div class="col-md-4 mt-2">
                        <br />
    <?php echo Html::submitButton($model->isNewRecord ? 'Create Category' : 'Update Category', ['class' => $model->isNewRecord ? 'btn btn-primary' : 'btn btn-primary']) ?>
    
                    </div>
                </div>
            </div>
    <?php ActiveForm::end(); ?>
        </div>

    <?php Pjax::begin(); ?>
    <div class="box">
        <div class="box-header">
            <?php
            $gridColumnsExcelDownload = [
                'name',
                [
                    'attribute' => 'created_by',
                    'value' => 'user.username'
                ],
                [
                    'label' => 'Created Date',
                    'attribute' => 'created_date',
                    'value' => function($data) {
                        return (!empty($data->created_date)) ? date("d-m-Y H:i:s", strtotime($data->created_date)) : "";
                    }
                ],
                [
                    'label' => 'Updated Date',
                    'attribute' => 'updated_date',
                    'value' => function($data) {
                        return (!empty($data->updated_date)) ? date("d-m-Y H:i:s", strtotime($data->updated_date)) : "";
                    }
                ],
                [
                    'attribute' => 'status',
                    'value' => function($data) {
                        return $data->status == 1 ? 'Active' : 'Inactive';
                    }
                ],
            ];

            echo ExportMenu::widget([
                'dataProvider' => $dataProvider,
                'filterModel' => $searchModel,
                'columns' => $gridColumnsExcelDownload,
                'fontAwesome' => true,
                'dropdownOptions' => [
                    'label' => 'Download',
                    'class' => 'btn btn-default'
                ],
                'filename' => 'category',
                'target' => ExportMenu::TARGET_SELF,
                'exportConfig' => [
                    ExportMenu::FORMAT_TEXT => false,
                    ExportMenu::FORMAT_PDF => false,
                    ExportMenu::FORMAT_EXCEL => false,
                    ExportMenu::FORMAT_EXCEL_X => false,
                    ExportMenu::FORMAT_HTML => false,
                ],
            ])
            ?>
            <?=
            GridView::widget([
                'dataProvider' => $dataProvider,
                'filterModel' => $searchModel,
                'tableOptions' => ['class' => 'table'],
                'columns' => [
                    ['class' => 'yii\grid\SerialColumn', 'header' => 'S.No.', 'headerOptions' => [
                            'style' => 'color:#3c8dbc'],],
                    // 'id',
                    'name',
                    [
                        'label' => 'Created Date',
                        'attribute' => 'created_date',
                        'filter' => DatePicker::widget([
                            'name' => 'CategorySearch[created_date]',
                            'type' => DatePicker::TYPE_INPUT,
                            'options' => ['placeholder' => 'Select Date'],
                            'value' => isset($_GET['CategorySearch']['created_date']) ? $_GET['CategorySearch']['created_date'] : "",
                            'pluginOptions' => [
                                'autoclose' => true,
                                'format' => 'dd-mm-yyyy'
                            ]
                        ]),
                        'value' => function($data) {
                    return (!empty($data->created_date)) ? date("d-m-Y H:i:s", strtotime($data->created_date)) : null;
                }
                    ],
                    [
                        'label' => 'Updated Date',
                        'attribute' => 'updated_date',
                        'filter' => DatePicker::widget([
                            'name' => 'CategorySearch[updated_date]',
                            'type' => DatePicker::TYPE_INPUT,
                            'options' => ['placeholder' => 'Select Date'],
                            'value' => isset($_GET['CategorySearch']['updated_date']) ? $_GET['CategorySearch']['updated_date'] : "",
                            'pluginOptions' => [
                                'autoclose' => true,
                                'format' => 'dd-mm-yyyy'
                            ]
                        ]),
                        'value' => function($data) {
                    return (!empty($data->updated_date)) ? date("d-m-Y H:i:s", strtotime($data->updated_date)) : null;
                }
                    ],
//                    [
//                        'attribute' => 'status',
//                        'filter' => array("1" => "Active", "0" => "Inactive"),
//                        'filterInputOptions' => ['class' => 'form-control', 'id' => null, 'prompt' => 'All'],
//                        'value' => function($data) {
//                    return $data->status == 1 ? 'Active' : 'Inactive';
//                }
//                    ],
                    //'latitude',
                    //'longitude',
                    [
                        'class' => 'yii\grid\ActionColumn',
                        'header' => 'Action',
                        'template' => '{view}{update}{delete}',
                    ],
                ],
            ]);
            ?>
            <?php Pjax::end(); ?>
        </div>
    </div>

