<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use backend\models\ReportedIssues;

/* @var $this yii\web\View */
/* @var $model backend\models\IssueResponse */

///$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Action & Change', 'url' => ['create']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="issue-response-view">

    <p>
        <!-- <?php //echo Html::a(Yii::t('app', 'Update'), ['update', 'id' => $model->id], ['class' => 'btn btn-primary'])  ?> -->
        <!-- <?php
        //
        // Html::a(Yii::t('app', 'Delete'), ['delete', 'id' => $model->id], [
        //     'class' => 'btn btn-danger',
        //     'data' => [
        //         'confirm' => Yii::t('app', 'Are you sure you want to delete this item?'),
        //         'method' => 'post',
        //     ],
        // ])
        ?>-->
        <a  class="btn btn-primary" onclick="window.history.go(-1);">Back</a>
    </p>
    <?=
    DetailView::widget([
        'model' => $model,
        'options' => ['class' => 'table detail-view'],
        'attributes' => [
            'id',
            [
                    'label' => 'Reported Issue',
 
                    'value' => function($data) {
                        return getReportissueName($data->rissue_id);
                    }
                ],
            [
            'attribute' => 'response_type',
            'filter' => array("0" => "Action", "1" => "Change"),
            'filterInputOptions' => ['class' => 'form-control', 'id' => null, 'prompt' => 'Response type'],
            'value' => function($data) {
            if ($data->response_type == 0) {
            return "Action";
            } else if ($data->response_type == 1) {
            return "Change";
            } else {
            return "";
            }
            }
            ],
           [
                    'label' => 'Action / Change Name',
                    'attribute' => 'action_change_id',
                    'value' => function($data) {
                        if ($data->response_type == 0) {
                            return getActionName($data->action_change_id);
                        } else if ($data->response_type == 1) {
                            return getChangeName($data->action_change_id);
                        } else {
                            return "";
                        }
                    }
                ],
           
            [
                'attribute' => 'location',
                'filter' => array("0" => "On Location", "1" => "Away from location"),
                'filterInputOptions' => ['class' => 'form-control', 'id' => null, 'prompt' => 'Location'],
                'value' => function($data) {
            if ($data->location == 0) {
                return "On Location";
            } else if ($data->location == 1) {
                return "Away from location";
            } else {
                return "";
            }
        }
            ],
             [
                'attribute' => 'photo',
                'value' => $model->photo,
                'format' => ['image', ['width' => '100', 'height' => '100']],
            ],
            [
                'attribute' => 'comments',
                'value' => ($model->comments == NULL) ? "" : $model->comments
            ],
              ['label' => 'Latitude',
                'attribute' => 'lat',
            ],
            ['label' => 'Longitude',
                'attribute' => 'long',
            ],
            [
                'attribute' => 'other',
                'value' => ($model->other == NULL) ? "" : $model->other
            ],
            [
                'attribute' => 'negative_change_value',
                'value' => ($model->negative_change_value == NULL) ? "" : $model->negative_change_value
            ],
            'created',
            'updated',
            [
                'label' => 'Created By',
                'attribute' => 'user_id',
                'value' => $model->user->username
            ],
        ],
    ])
    ?>

</div>

<?php

function getReportissueName($id) {
    $issueName = ReportedIssues::find()->select(['issue.name'])->join('INNER JOIN', 'issue', 'issue.id =reported_issues.issue_id')
                    ->where(['reported_issues.id' => $id])->asArray()->one();
    return $issueName['name'];
}
function getActionName($id) {
    $actionName = \backend\models\Action::find()->select(['name'])->where(['id' => $id])->asArray()->one();
    return $actionName['name'];
}
function getChangeName($id) {
    $changeName = \backend\models\ChangeMaster::find()->select(['name'])->where(['id' => $id])->asArray()->one();
    return $changeName['name'];
}
?>
