<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\grid\GridView;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use kartik\select2\Select2;
use yii\widgets\Pjax;
use kartik\export\ExportMenu;
use kartik\date\DatePicker;
use backend\models\State;
use backend\models\Category;

/* @var $this yii\web\View */
/* @var $model backend\models\District */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="issue-form">
    <?php $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data', 'enableAjaxValidation' => true]]); ?>
    <div class="box box-primary" style="background-color: #DCDCDC;">
        <div class="box-body">
            <div class="row">
                <div class="col-md-4">
                    <?= $form->field($model, 'category_id')->dropDownList(ArrayHelper::map(\backend\models\Category::find()->where(['status' => '1'])->all(), 'id', 'name'), ["prompt" => "Select Category", "required" => "required"])->label('Category'); ?>
                </div>
                <div class="col-md-4">
                    <?= $form->field($model, 'state_id')->dropDownList(ArrayHelper::map(\backend\models\State::find()->where(['status' => '1'])->all(), 'id', 'state_name'), ["prompt" => "Select State", "required" => "required"])->label('State'); ?>
                </div>
                <div class="col-md-4">
                    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>
                </div>
            </div>
            <!--                <div class="col-md-4">
            <?= $form->field($model, 'status')->dropDownList([ 1 => 'Active', 0 => 'Inactive',])->label('Status'); ?>
                            </div>
                            <div class="col-md-4">
            <?= $form->field($model, 'language')->textarea(['rows' => 3]) ?>
                           </div>-->
            
                           <?php $count = "";
            if ($model->isNewRecord) {
                ?>
                <div class="field_wrapper">
                    <div class="row">
                        <div class="col-md-4">
                            <label>Select Language</label>
                            <select id="state_id" class="form-control" name="language[]" required="true">
                                <option value="">Select Language</option>
                                <!-- <option value="En">English</option> -->
                                <option value="Hi">Hindi</option>
                                <option value="Gj">Gujarati</option></select>
                        </div>
                        <div class="col-md-4">
                            <label>Translation</label>
                            <input type="text" name="language_value[]" value="" class="form-control" required="true" /></div>
                        <div class="col-md-4 mt-5"> <a href="javascript:void(0);" class="add_button" title="Add field"><img src="../add-icon.png"/></a>
                        </div>
                    </div>
                </div><?php

                    } else {
                        $languageArray = json_decode($model->language, true);
                        ?>
                <div class="field_wrapper">
                    <?php
                    $count = count($languageArray);
                    $i = 1;

                    //print_r($languageArray);

                    foreach ($languageArray as $language) {
                        unset($language['En']);
                        foreach ($language as $key => $value) {

                            ?>
                            
                            <input type="hidden" name="counter" id="counter" value="<?php echo $count - 1; ?>">
                            <div class="row" id="<?php echo $i; ?>">
                                <div class="col-md-4">
                                    <label>Select Language</label>
                                    <select id="state_id_<?php echo $key; ?>" class="form-control lang" name="language[]" required="true">
                                        <option value="">Select Language</option>
                                       
                                        <option value="Hi" <?php
                                                            if ($key == "Hi") {
                                                                echo "selected";
                                                            }
                                                            ?>>Hindi</option>
                                        <option value="Gj" <?php
                                                            if ($key == "Gj") {
                                                                echo "selected";
                                                            }
                                                            ?>>Gujarati</option></select>
                                </div>
                                <div class="col-md-4">
                                    <label>Translation</label>
                                    <input type="text" name="language_value[]" value="<?php echo $value ?>" class="form-control" required="true" /></div>
                                <div class="col-md-4 mt-5"><?php if ($i == 1) { ?><a href="javascript:void(0);" class="add_button" title="Add field"><img src="../add-icon.png"/></a><?php 
                                                                                                                                                                                } else { ?>
                                                                                                                                                                                                <a href="javascript:void(0);" class="remove_button mt-5" title="Add field"><img src="../remove-icon.png"/></a><?php 
                                                                                                                                                                                                                                                                                                            } ?>
                                </div>
                            </div>


            <?php $i++;
        }
    } ?>
    </div>
    <?php
    if($count==0){ ?>
 <div class="field_wrapper">
                    <div class="row">
                        <div class="col-md-4">
                            <label>Select Language</label>
                            <select id="state_id" class="form-control" name="language[]" required="true">
                                <option value="">Select Language</option>
                                <!-- <option value="En">English</option> -->
                                <option value="Hi">Hindi</option>
                                <option value="Gj">Gujarati</option></select>
                        </div>
                        <div class="col-md-4">
                            <label>Translation</label>
                            <input type="text" name="language_value[]" value="" class="form-control" required="true" /></div>
                        <div class="col-md-4 mt-5"> <a href="javascript:void(0);" class="add_button" title="Add field"><img src="../add-icon.png"/></a>
                        </div>
                    </div>
                </div>
  <?php  }


    ?><span style="color:red;" id="langError"></span>
                    <?php 
                } ?>
                  
            
            <div class="row">
                  
                <div class="col-md-4 mt-4">
                    
                    <?= Html::submitButton($model->isNewRecord ? 'Create Issue' : 'Update Issue', ['class' =>'btn btn-primary']) ?>
                </div>
            </div>
        </div>
    </div>

<?php ActiveForm::end(); ?>
<div class="box">
    <div class="box-header">
        <?php
        $gridColumnsExcelDownload = [
            [ 'label' => 'Issue Category',
                'attribute' => 'category_id',
                'value' => 'category.name'
            ],
            [ 'label' => 'state',
                'attribute' => 'state_id',
                'value' => 'state.state_name'
            ],
            [ 'label' => 'Issue Name',
                'attribute' => 'name',
                'value' => 'name'
            ],
              [
                   // 'attribute' => 'language',
                    'label' => 'Language',
                    'format' => 'HTML',
                    'value' => function($data) {
                        return createOLList($data->language);
                    }
                ],
            [
                'label' => 'Created At',
                'attribute' => 'created_date',
                'value' => function($data) {
                    return (!empty($data->created_date)) ? date("d-m-Y H:i:s", strtotime($data->created_date)) : "";
                }
            ],
            [
                'label' => 'Updated At',
                'attribute' => 'updated_date',
                'value' => function($data) {
                    return (!empty($data->updated_date)) ? date("d-m-Y H:i:s", strtotime($data->updated_date)) : "";
                }
            ],
        ];
        echo ExportMenu::widget([
            'dataProvider' => $dataProvider,
            'filterModel' => $searchModel,
            'columns' => $gridColumnsExcelDownload,
            'fontAwesome' => true,
            'dropdownOptions' => [
                'label' => 'Download',
                'class' => 'btn btn-default'
            ],
            'filename' => 'Issue',
            'target' => ExportMenu::TARGET_SELF,
            'exportConfig' => [
                ExportMenu::FORMAT_TEXT => false,
                ExportMenu::FORMAT_PDF => false,
                ExportMenu::FORMAT_EXCEL => false,
                ExportMenu::FORMAT_EXCEL_X => false,
                ExportMenu::FORMAT_HTML => false,
            ],
        ])
        ?>
        <?=
        GridView::widget([
            'dataProvider' => $dataProvider,
            'filterModel' => $searchModel,
            'tableOptions' => ['class' => 'table'],
            'columns' => [
                ['class' => 'yii\grid\SerialColumn', 'header' => 'S.No.', 'headerOptions' => [
                        'style' => 'color:#3c8dbc'],],
                [ 'label' => 'Issue Name',
                    'attribute' => 'name',
                    'value' => 'name'
                ],
                [
                    'label' => 'Categoty',
                    'attribute' => 'category_id',
                    'value' => 'category.name',
                    'options' => ['placeholder' => 'Select Category'],
                    'filter' => ArrayHelper::map(Category::find()->asArray()->where(['status'=>'1'])->all(), 'id', 'name'),
                ],
                [
                    'label' => 'state',
                    'attribute' => 'state_id',
                    'value' => 'state.state_name',
                    'options' => ['placeholder' => 'Select State'],
                    'filter' => ArrayHelper::map(State::find()->asArray()->where(['status'=>'1'])->all(), 'id', 'state_name'),
                ],
                [
                   // 'attribute' => 'language',
                    'label' => 'Language',
                    'format' => 'raw',
                    'value' => function($data) {
                        return createOLList($data->language);
                    }
                ],
//                [
//                    'attribute' => 'status',
//                    'filter' => array("1" => "Active", "0" => "Inactive"),
//                    'filterInputOptions' => ['class' => 'form-control', 'id' => null, 'prompt' => 'All'],
//                    'value' => function($data) {
//                return $data->status == 1 ? 'Active' : 'Inactive';
//            }
//                ],
                [
                'class' => 'yii\grid\ActionColumn',
                'header'=>'Action',
                'template' => '{view}{update}{delete}',
             ],
			 

            ],
        ]);
        ?>
    </div>
</div>
<script src="<?php echo Url::to("@web/js/add_language.js") ?>"></script>
<script type="text/javascript">
    var selectedLanguage = [];
    $(".lang").each(function () {
        selectedLanguage.push($(this).val());
    })

    $('select').on('change', function () {

        var selected = $(this).find('option:selected').val();
        var chengeValue = this.value;
        if ($.inArray(chengeValue, selectedLanguage) != -1) {
            $("#langError").html("Please select different language");
            $("#langUpdate").prop("disabled", true);
        } else {
            $("#langError").html("");
            $("#langUpdate").prop("disabled", false);

        }
        selectedLanguage = [];
        $(".lang").each(function () {
            selectedLanguage.push($(this).val());
        })

    });

</script>