<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\grid\GridView;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use kartik\select2\Select2;
use yii\widgets\Pjax;
use kartik\export\ExportMenu;
use kartik\date\DatePicker;
use backend\models\Category;

/* @var $this yii\web\View */
/* @var $model backend\models\District */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="sub-category-form">
    <p> <a  class="btn btn-primary" onclick="window.history.go(-1);">Back</a></p>
 
    <?php $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data', 'enableAjaxValidation' => true]]); ?>
    <div class="box box-primary" style="background-color: #DCDCDC;">
       
        <div class="box-body">
            <div class="row">
                <div class="col-md-4">
                   <?php
                
                    if (isset($model->category_id) && !empty($model->category_id)) {
                        $category_id = $model->category_id;
                        
                    }
                    echo $form->field($model, 'category_id')->dropDownList(ArrayHelper::map(\backend\models\Category::find()->where(['status' => 1])->all(), 'id', 'name'), ["prompt" => "Select Category", "required" => "required", 'onchange'=>'getAllSubCategory()',])->label('Category');
                    ?>

                </div>
               <div class="col-md-4">
                   <?php
                
                    if (isset($model->subcategory_id) && !empty($model->subcategory_id)) {
                        $category_id = $model->subcategory_id;
                        
                    }
                    echo $form->field($model, 'subcategory_id')->dropDownList(ArrayHelper::map(\backend\models\SubCategory::find()->where(['status' => 1])->all(), 'id', 'name'), ["prompt" => "Select Sub Category", "required" => "required"])->label('Sub category');
                    ?>

                </div>
                <div class="col-md-4">
                     <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>
                </div></div>
            <div class="row">
                <div class="col-md-4">
                    <?= $form->field($model, 'product_code')->textInput(['maxlength' => true]) ?> 
                </div>
                  <div class="col-md-4">
                     <?= $form->field($model, 'product_description')->textarea(['rows' => 6]) ?>
                </div>
                <?php if ($model->isNewRecord) { ?>
                    <div class="col-md-4">
                    <?= $form->field($model, 'product_image')->fileInput(['class' => 'form-control', "required" => "required"])->label('Product Image'); ?>
                    </div> <?php
                } else {
                    $baseUrl = \Yii::getAlias('@web') . '/upload/product/';
                    $image = $baseUrl . $model->product_image;
                    ?>   

                    <div class="col-md-4">
                    <?php echo Html::img($image, ['width' => '100', 'height' => '100']); ?>
                    <?= $form->field($model, 'product_image')->fileInput(['class' => 'form-control'])->label('Product Image'); ?>
                    </div>
                        <?php } ?>
             <?php if ($model->isNewRecord) { ?>
                    <div class="col-md-4">
                    <?= $form->field($model, 'product_secondary_image')->fileInput(['class' => 'form-control', "required" => "required"])->label('Product Secondary Image'); ?>
                    </div> <?php
                } else {
                    $baseUrl = \Yii::getAlias('@web') . '/upload/product/';
                    $image = $baseUrl . $model->product_secondary_image;
                    ?>   

                    <div class="col-md-4">
                    <?php echo Html::img($image, ['width' => '100', 'height' => '100']); ?>
                    <?= $form->field($model, 'product_secondary_image')->fileInput(['class' => 'form-control'])->label('Product Secondary Image'); ?>
                    </div>
                        <?php } ?>
            
            </div>
            <div class="row">
                  <div class="col-md-4">
                     <?= $form->field($model, 'mrp')->textInput(['maxlength' => true]) ?>
                </div>
                
                  <div class="col-md-4">
                      <?= $form->field($model, 'selling_price')->textInput(['maxlength' => true,'onkeyup' => ' getDiscount()']) ?>
                </div>
                  <div class="col-md-4">
                        <?= $form->field($model, 'discount')->textInput(['maxlength' => true,'readonly'=>'true'])->label('discount (%)'); ?>
                </div>
            </div>
            <div class="row">
                  <div class="col-md-4">
                  <?= $form->field($model, 'rating')->textInput() ?>  
                </div>
                
                <div class="col-md-4">
                 <?= $form->field($model, 'is_new')->dropDownList([ 1 => 'Yes', 0 => 'No', ], ['prompt' => 'Select Status']) ?>
                   
                </div>
                <div class="col-md-4">
              <?= $form->field($model, 'show_home_page')->dropDownList([ 1 => 'Yes', 0 => 'No', ], ['prompt' => 'Select Status']) ?>
                </div>

            </div>
               
    
            <div class="row">
                
                                <div class="col-md-4">
<?= $form->field($model, 'status')->dropDownList([1 => 'Active', 0 => 'Inactive',])->label('Status'); ?>
                                </div><div class="col-md-4">
                    <br>
                    <?= Html::submitButton($model->isNewRecord ? 'Create Product' : 'Update Product', ['class' =>'btn btn-primary']) ?>
                   
                </div>
                               <div class="col-md-4">

                                </div>
                <div class="col-md-4 mt-2">
                    &nbsp;
                </div>
            </div>
        </div>


    </div>


</div>
<?php ActiveForm::end(); ?>

<script type="text/javascript">
    $(document).ready(function(){
     $("#product-discount").css("background-color", "#364254");   
    });
 function getDiscount(){
     var mrp = $("#product-mrp").val();
     var sellingPrice = $("#product-selling_price").val();
    if(mrp >0){
        var total_discount = (((mrp - sellingPrice) / mrp) * 100).toFixed(2);
        $("#product-discount").val(total_discount);
        
    }
 }
    
 function getAllSubCategory() {
        var cat_id = document.getElementById("product-category_id").value;
        $.ajax({
            url: '<?php echo Url::to(["sub-category/get-subcategry-list"]); ?>',
            type: 'post',
            data: {
                key: 1,
                value: cat_id
            },
            success: function (res) {
                console.log(res);
                var data = JSON.parse(res);
                var dataOption = "<option value=''>Select Sub  Category</option>";
                for (var i = 0; i < data.length; i++) {
                    dataOption += '<option value="' + data[i]['id'] + '">' + data[i]['name'] + '</option>';
                }
                $("#product-subcategory_id").html(dataOption);
            },
            error: function (res) {
                console.log(res);
            }
        })
    }
</script>