<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\helpers\ArrayHelper;

/* @var $this yii\web\View */
/* @var $model backend\models\State */

$this->title = $model->name;
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'Sub Category'), 'url' => ['create']];
$this->params['breadcrumbs'][] = $this->title;
$baseUrl = \Yii::getAlias('@web') . '/upload/subcategory/';
?>
<div class="partner-view">

        <a  class="btn btn-primary" onclick="window.history.go(-1);">Back</a>
    </p>
    <div class="box">
        <div class="box-header">
            <?=
            DetailView::widget([
                'model' => $model,
                'options' => ['class' => 'table detail-view'],
                'attributes' => [
                    'id',
                    'name',
                   'category.name',
                    'subcategory.name',
                    'product_code',
                    'mrp',
                    'selling_price',
                    'discount',
                    'rating',
                    [
                        'attribute' => 'is_new',
                       
                        'value' => function($data) {
                            return $data->is_new == 1 ? 'Yes' : 'No';
                        }
                    ],
                            [
                        'attribute' => 'show_home_page',
                        'value' => function($data) {
                            return $data->show_home_page == 1 ? 'Yes' : 'No';
                        }
                    ],
                    
                    [
                        'attribute' => 'product_image',
                        'label' => 'Product Image',
                        'value' => $baseUrl . $model->product_image,
                        'format' => ['image', ['width' => '100', 'height' => '100']],
                    ],
                         
                    [
                        'label' => 'Updated At',
                        'value' => (!empty($model->updated_at)) ? date("d-m-Y H:i:s", strtotime($model->updated_at)) : null,
                    ],
                    [
                        'label' => 'Created At',
                        'value' => date("d-m-Y H:i:s", strtotime($model->created_at)),
                    ],
                    // 'status',
                    [
                        'attribute' => 'status',
                        'label' => 'Status',
                        'value' => function($data) {
                            return $data->status == 1 ? 'Active' : 'Inactive';
                        }
                    ],
                //  'latitude',
                // 'longitude',
                ],
            ])
            ?>
        </div>
    </div>
</div>


  

</div>



