<?php

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use yii\helpers\Url;

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model \common\models\LoginForm */

$this->title = 'gandaramjewellers';

$fieldOptions1 = [
    'options' => ['class' => 'form-group has-feedback'],
    'inputTemplate' => "{input}<span class='glyphicon glyphicon-envelope form-control-feedback'></span>"
];

$fieldOptions2 = [
    'options' => ['class' => 'form-group has-feedback'],
    'inputTemplate' => "{input}<span class='glyphicon glyphicon-lock form-control-feedback'></span>",
];
?>
<link rel="stylesheet" href="<?php echo Url::to("@web/css/custom.css"); ?>">
<div class = "row">
    <?php
    if (isset($_GET['forgot']) && $_GET['forgot'] == 1) {
        ?>
        <div class="col-xs-3"></div>
        <div class = "col-xs-6"><div class="alert alert-success" id="success-alert-two">
                <button type="button" class="close" data-dismiss="alert">x</button>
                <strong>Success! </strong>
                Check your email for further instructions.
            </div></div>
        <?php
    }

    if (isset($_GET['forgot']) && $_GET['forgot'] == 2) {
        ?>
        <div class="col-xs-3"></div>
        <div class = "col-xs-6"><div class="alert alert-success" id="success-alert-one">
                <button type="button" class="close" data-dismiss="alert">x</button>
                <strong>Success! </strong>
                New password saved.
            </div></div>
    <?php }
    ?>
</div>
<style type="text/css">
    #img_logo{
        /* border: none !important;*/
        outline: none;
        display: block;
        margin-left: auto;
        margin-right: auto;
        width: 50%;
        height: 70%;

    }
    .btn-flat{
        border-radius: 5px !important;
        background-color: #005A26 !important;
        border-style: none !important;
    }
</style>
<div class="login-box">
    <div class="login-box-body">
        <img id="img_logo" src="<?php echo Url::to("@web/images/gandalogo.png"); ?>"><br>
        <?php $form = ActiveForm::begin(['id' => 'login-form', 'enableClientValidation' => false]); ?>
        <?=
                $form
                ->field($model, 'username', $fieldOptions1)
                ->label(false)
                ->textInput(['placeholder' => $model->getAttributeLabel('user name'), 'autocomplete' => "off"])
        ?>
        <p class="help-block help-block-error" id="user_name_err" style="color: red;"></p>
        <?=
                $form
                ->field($model, 'password', $fieldOptions2)
                ->label(false)
                ->passwordInput(['placeholder' => $model->getAttributeLabel('password'), 'id' => 'myPassword', 'autocomplete' => "new-password", 'onselectstart' => "return false", 'onpaste' => "return false;", 'onCopy' => "return false", 'onCut' => "return false", 'onDrag' => "return false", 'onDrop' => "return false"])
        ?>

        <div class="row">
            <div class="col-xs-7">
                <?= Html::checkbox('reveal-password', false, ['id' => 'reveal-password']) ?> <?= Html::label('Show password', 'reveal-password') ?>
            </div> 
            <div class="col-xs-5">
                <?= Html::a('Forgot Password', ['forgot/request-password-reset']) ?>
            </div> 
        </div>
        <div class="row">
            <div class="col-xs-12">
                <?= Html::submitButton('Login', ['class' => 'btn btn-primary btn-block ', 'name' => 'login-button']) ?>
            </div>
        </div>
        <?php ActiveForm::end(); ?>
    </div>
</div><!-- /.login-box -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="<?php echo Url::to("@web/js/clickjacking.js") ?>"></script>
<script type="text/javascript">
    $(document).ready(function () {
        $('input[type="checkbox"]').click(function (obj) {
            var value = $("#myPassword").val();
            var labelName = $("#labelName").text();
            var obj = document.getElementById('myPassword');

            if ($(this).is(":checked")) {
                obj.type = "text";
                $("#labelName").text("Hide Password");
            } else if ($(this).is(":not(:checked)")) {
                obj.type = "password";
                $("#labelName").text("Show Password");
            }
        });

        $("#success-alert-one").hide();
        $("#success-alert-one").fadeTo(2000, 500).slideUp(500, function () {
            $("#success-alert-one").slideUp(500);
        });
        $("#success-alert-two").hide();
        $("#success-alert-two").fadeTo(2000, 500).slideUp(500, function () {
            $("#success-alert-two").slideUp(500);
        });

        $('#loginform-username').on('keypress', function (event) {
            var regex = new RegExp("^[a-zA-Z0-9]+$");
            var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
            if (!regex.test(key)) {
                $("#user_name_err").html("Special characters are not allowed");
                event.preventDefault();
                return false;
            } else {
                $("#user_name_err").html("");
            }
        });
    });

</script>
