<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\grid\GridView;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use kartik\select2\Select2;
use yii\widgets\Pjax;
use kartik\export\ExportMenu;
use kartik\date\DatePicker;
use backend\models\State;

$baseUrl = \Yii::getAlias('@web') . '/upload/slider/';

/* @var $this yii\web\View */
/* @var $model backend\models\District */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="district-form">

<?php $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data', 'enableAjaxValidation' => true]]); ?>
    <div class="box box-primary" style="background-color: #DCDCDC;">

        <div class="box-body">
<?php if (Yii::$app->session->hasFlash('error')): ?>
                <div class="row"><div class="col-md-6">
                        <button aria-hidden="true" data-dismiss="alert" class="close" type="button">×</button>
    <?= Yii::$app->session->getFlash('error') ?>
                    </div><div class="col-md-6">
                        &nbsp;
                    </div></div>
<?php endif; ?>
            <div class="row">
                <div class="col-md-4"><?= $form->field($model, 'slider_name')->textInput(['maxlength' => true, 'placeholder' => 'Enter slider Name', "required" => "required"]) ?></div>
                <div class="col-md-4">
<?= $form->field($model, 'alt_text')->textInput(['maxlength' => true, 'placeholder' => 'Enter Alt Text', "required" => "required"]) ?>
                </div>
                <?php if ($model->isNewRecord) { ?>
                    <div class="col-md-4">
                    <?= $form->field($model, 'slider_image')->fileInput(['class' => 'form-control', "required" => "required"])->label('Slider Image'); ?>
                    </div> <?php
                } else {
                    $image = $baseUrl . $model->slider_image;
                    ?>   

                    <div class="col-md-4">
                    <?php echo Html::img($image, ['width' => '100', 'height' => '100']); ?>
                    <?= $form->field($model, 'slider_image')->fileInput(['class' => 'form-control'])->label('Slider Image'); ?>
                    </div>
<?php } ?>
</div>
           <div class="col-md-4">
    <?php echo $form->field($model, 'status')->dropDownList([ 1 => 'Active', 0 => 'Inactive', ])->label('Status'); ?>
      
    </div> 
            <div class="row">
                <div class="col-md-4">

<?= Html::submitButton($model->isNewRecord ? 'Create Slider' : 'Update Slider', ['class' =>'btn btn-primary']) ?>
                </div> 
            </div>

        </div>
    </div>
</div>
<?php ActiveForm::end(); ?>

<div class="box">
    <div class="box-header">
        <?php
        $gridColumnsExcelDownload = [
            'slider_name',
           
           [
                        'attribute' => 'slider_image',
                        'label' => 'Slider Image',
                       'value' => function($data) {
                    return (!empty($data->slider_image)) ? $data->slider_image : "";
                }
                       
                    ],
            [
                'label' => 'Created',
                'attribute' => 'created',
                'value' => function($data) {
                    return (!empty($data->created)) ? date("d-m-Y H:i:s", strtotime($data->created)) : "";
                }
            ],
            [
                'label' => 'Updated',
                'attribute' => 'updated',
                'value' => function($data) {
                    return (!empty($data->updated)) ? date("d-m-Y H:i:s", strtotime($data->updated)) : "";
                }
            ],
            [
                'attribute' => 'status',
                'value' => function($data) {
                    return $data->status == 1 ? 'Active' : 'Inactive';
                }
            ],
        ];


        echo ExportMenu::widget([
            'dataProvider' => $dataProvider,
            'filterModel' => $searchModel,
            'columns' => $gridColumnsExcelDownload,
            'fontAwesome' => true,
            'dropdownOptions' => [
                'label' => 'Download',
                'class' => 'btn btn-default'
            ],
            'filename' => 'slider_name',
            'target' => ExportMenu::TARGET_SELF,
            'exportConfig' => [
                ExportMenu::FORMAT_TEXT => false,
                ExportMenu::FORMAT_PDF => false,
                ExportMenu::FORMAT_EXCEL => false,
                ExportMenu::FORMAT_EXCEL_X => false,
                ExportMenu::FORMAT_HTML => false,
            ],
        ])
        ?>

        <?=
        GridView::widget([
            'dataProvider' => $dataProvider,
            'filterModel' => $searchModel,
            'tableOptions' => ['class' => 'table'],
            'columns' => [
                ['class' => 'yii\grid\SerialColumn', 'header' => 'S.No.'],
                
                'slider_name',
                'alt_text',
                [
                        'attribute' => 'slider_image',
                        'label' => 'Slider Image',
                    'format' => ['image', ['width' => '100', 'height' => '100']],
                        'value' => function($data){
                           $baseUrl = \Yii::getAlias('@web') . '/upload/slider/';
                           return $baseUrl.$data->slider_image;
                        
                        }
                    ],
                [
                    'attribute' => 'status',
                    'filter' => array("1" => "Active", "0" => "Inactive"),
                    'filterInputOptions' => ['class' => 'form-control', 'id' => null, 'prompt' => 'All'],
                    'value' => function($data) {
                        return $data->status == 1 ? 'Active' : 'Inactive';
                    }
                ],
                [
                    'class' => 'yii\grid\ActionColumn',
                    'header' => 'Action',
                    'template' => '{view}{update}{delete}',
                ],
            ],
        ]);
        ?>
    </div>
</div>
<script src="<?php echo Url::to("@web/js/add_language.js") ?>"></script>
