
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\grid\GridView;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use kartik\select2\Select2;
use yii\widgets\Pjax;
use kartik\export\ExportMenu;
use kartik\date\DatePicker;
use backend\models\Category;

/* @var $this yii\web\View */
/* @var $model backend\models\District */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="sub-category-form">
    <p> <a  class="btn btn-primary" onclick="window.history.go(-1);">Back</a></p>
 
    <?php $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data', 'enableAjaxValidation' => true]]); ?>
    <div class="box box-primary" style="background-color: #DCDCDC;">
       
        <div class="box-body">
            <div class="row">
                <div class="col-md-4">
                   <?php
                
                    if (isset($model->category_id) && !empty($model->category_id)) {
                        $category_id = $model->category_id;
                        
                    }
                    echo $form->field($model, 'category_id')->dropDownList(ArrayHelper::map(\backend\models\Category::find()->where(['status' => 1])->all(), 'id', 'name'), ["prompt" => "Select Category", "required" => "required", 'onchange' => 'getAllDistrict()'])->label('State');
                    ?>

                </div>
                <div class="col-md-4">
                     <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>
                </div>
                <div class="col-md-4">
                  <?= $form->field($model, 'description')->textInput(['maxlength' => true]) ?>  
                   
                </div>

            </div>
               
                    
            <div class="row">
              <div class="col-md-4">
              <?= $form->field($model, 'alt_text')->textInput(['maxlength' => true, 'placeholder' => 'Enter Alt Text', "required" => "required"]) ?>
                </div>
                <?php if ($model->isNewRecord) { ?>
                    <div class="col-md-4">
                    <?= $form->field($model, 'image')->fileInput(['class' => 'form-control', "required" => "required"])->label('Category Image'); ?>
                    </div> <?php
                } else {
                    $baseUrl = \Yii::getAlias('@web') . '/upload/subcategory/';
                    $image = $baseUrl . $model->image;
                    ?>   

                    <div class="col-md-4">
                    <?php echo Html::img($image, ['width' => '100', 'height' => '100']); ?>
                    <?= $form->field($model, 'image')->fileInput(['class' => 'form-control'])->label('Category Image'); ?>
                    </div>
<?php } ?>

               
            </div>
    
            <div class="row">
                
                                <div class="col-md-4">
<?= $form->field($model, 'status')->dropDownList([1 => 'Active', 0 => 'Inactive',])->label('Status'); ?>
                                </div><div class="col-md-4">
                    <br>
                    <?= Html::submitButton($model->isNewRecord ? 'Create Sub Category' : 'Update Sub Category', ['class' =>'btn btn-primary']) ?>
                   
                </div>
                               <div class="col-md-4">

                                </div>
                <div class="col-md-4 mt-2">
                    &nbsp;
                </div>
            </div>
        </div>


    </div>


</div>
<?php ActiveForm::end(); ?>



</div>
