<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\grid\GridView;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use kartik\select2\Select2;
use yii\widgets\Pjax;
use kartik\export\ExportMenu;
use kartik\date\DatePicker;
use backend\models\Category;

/* @var $this yii\web\View */
/* @var $model backend\models\District */
/* @var $form yii\widgets\ActiveForm */
$this->title = 'Sub Category';
$this->params['breadcrumbs'][] = $this->title;
?>

<p>
    <?= Html::a(Yii::t('app', 'Create Sub Category'), ['create'], ['class' => 'btn btn-primary']) ?>
</p>

   <div class="box">
    <div class="box-header">
        <?php
        $gridColumnsExcelDownload = [
            'name',
           
           [
                        'attribute' => 'image',
                        'label' => 'Sub Category Image',
                       'value' => function($data) {
                    return (!empty($data->image)) ? $data->image : "";
                }
                       
                    ],
           
             [
                        'label' => 'Updated At',
                        'value' =>function($data){ 
                     return (!empty($data->updated_date)) ? date("d-m-Y H:i:s", strtotime($data->updated_date)) : null;
                            
                        }
                    ],
                    [
                        'label' => 'Created At',
                         'value' =>function($data){ 
                     return (!empty($data->created_date)) ? date("d-m-Y H:i:s", strtotime($data->created_date)) : null;
                            
                        }
                        
                    ],
        ];


        echo ExportMenu::widget([
            'dataProvider' => $dataProvider,
            'filterModel' => $searchModel,
            'columns' => $gridColumnsExcelDownload,
            'fontAwesome' => true,
            'dropdownOptions' => [
                'label' => 'Download',
                'class' => 'btn btn-default'
            ],
            'filename' => 'slider_name',
            'target' => ExportMenu::TARGET_SELF,
            'exportConfig' => [
                ExportMenu::FORMAT_TEXT => false,
                ExportMenu::FORMAT_PDF => false,
                ExportMenu::FORMAT_EXCEL => false,
                ExportMenu::FORMAT_EXCEL_X => false,
                ExportMenu::FORMAT_HTML => false,
            ],
        ])
        ?>

        <?=
        GridView::widget([
            'dataProvider' => $dataProvider,
            'filterModel' => $searchModel,
            'tableOptions' => ['class' => 'table'],
            'columns' => [
                ['class' => 'yii\grid\SerialColumn', 'header' => 'S.No.'],
                
                'name',
                 [
                'attribute' => 'category_id',
                'label' => 'Category',
                'value' => 'category.name',
                 'filter' => Html::activeDropDownList($searchModel, 'category_id', ArrayHelper::map(Category::find()->orderBy('lower(name) ASC')->asArray()->all(), 'id', 'name'),['class'=>'form-control','prompt' => 'Select Category']),
                
            ],
                'alt_text',
                [
                        'attribute' => 'image',
                        'label' => 'Category Image',
                    'format' => ['image', ['width' => '100', 'height' => '100']],
                        'value' => function($data){
                           $baseUrl = \Yii::getAlias('@web') . '/upload/subcategory/';
                           return $baseUrl.$data->image;
                        
                        }
                    ],
                [
                    'attribute' => 'status',
                    'filter' => array("1" => "Active", "0" => "Inactive"),
                    'filterInputOptions' => ['class' => 'form-control', 'id' => null, 'prompt' => 'All'],
                    'value' => function($data) {
                        return $data->status == 1 ? 'Active' : 'Inactive';
                    }
                ],
                       
                [
                    'class' => 'yii\grid\ActionColumn',
                    'header' => 'Action',
                    'template' => '{view}{update}{delete}',
                ],
            ],
        ]);
        ?>
    </div>
</div>
<script src="<?php echo Url::to("@web/js/add_language.js") ?>"></script>
