<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\grid\GridView;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use kartik\select2\Select2;
use yii\widgets\Pjax;
use kartik\export\ExportMenu;
use kartik\date\DatePicker;

/* @var $this yii\web\View */
/* @var $model backend\models\District */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="district-form">

    <?php $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data', 'enableAjaxValidation' => true]]); ?>
    <div class="box box-primary" style="background-color: #DCDCDC;">

        <div class="box-body">
            <div class="row">
                <div class="col-md-4">
                    <?= $form->field($model, 'token_type')->textInput(['maxlength' => true, 'placeholder' => 'Enter Token Type', "required" => "required"]) ?>
                </div>
                <div class="col-md-4">
                    <?= $form->field($model, 'token_amt')->textInput(['maxlength' => true, 'placeholder' => 'Enter Token Amount', "required" => "required"]) ?>
                </div>

            </div>
            <?php $count = "";
            if ($model->isNewRecord) {
                ?>
                <div class="field_wrapper">
                    <div class="row">
                        <div class="col-md-4">
                            <label>Select Language</label>
                            <select id="state_id" class="form-control" name="language[]" required="true">
                                <option value="">Select Language</option>
                                <!-- <option value="En">English</option> -->
                                <option value="Hi">Hindi</option>
                                <option value="Gj">Gujarati</option></select>
                        </div>
                        <div class="col-md-4">
                            <label>Translation</label>
                            <input type="text" name="language_value[]" value="" class="form-control" required="true" /></div>
                        <div class="col-md-4 mt-5"> <a href="javascript:void(0);" class="add_button" title="Add field"><img src="../add-icon.png"/></a>
                        </div>
                    </div>
                </div><?php

                    } else {
                        $languageArray = json_decode($model->language, true);
                        ?>
                <div class="field_wrapper">
                    <?php
                    $count = count($languageArray);
                    $i = 1;

                    //print_r($languageArray);

                    foreach ($languageArray as $language) {
                        unset($language['En']);
                        foreach ($language as $key => $value) {

                            ?>
                            
                            <input type="hidden" name="counter" id="counter" value="<?php echo $count - 1; ?>">
                            <div class="row" id="<?php echo $i; ?>">
                                <div class="col-md-4">
                                    <label>Select Language</label>
                                    <select id="state_id_<?php echo $key; ?>" class="form-control lang" name="language[]" required="true">
                                        <option value="">Select Language</option>
                                       
                                        <option value="Hi" <?php
                                                            if ($key == "Hi") {
                                                                echo "selected";
                                                            }
                                                            ?>>Hindi</option>
                                        <option value="Gj" <?php
                                                            if ($key == "Gj") {
                                                                echo "selected";
                                                            }
                                                            ?>>Gujarati</option></select>
                                </div>
                                <div class="col-md-4">
                                    <label>Translation</label>
                                    <input type="text" name="language_value[]" value="<?php echo $value ?>" class="form-control" required="true" /></div>
                                <div class="col-md-4 mt-5"><?php if ($i == 1) { ?><a href="javascript:void(0);" class="add_button" title="Add field"><img src="../add-icon.png"/></a><?php 
                                                                                                                                                                                } else { ?>
                                                                                                                                                                                                <a href="javascript:void(0);" class="remove_button mt-5" title="Add field"><img src="../remove-icon.png"/></a><?php 
                                                                                                                                                                                                                                                                                                            } ?>
                                </div>
                            </div>


            <?php $i++;
        }
    } ?>
                </div>
    <?php if($count==0){ ?>
 <div class="field_wrapper">
                    <div class="row">
                        <div class="col-md-4">
                            <label>Select Language</label>
                            <select id="state_id" class="form-control" name="language[]" required="true">
                                <option value="">Select Language</option>
                                <!-- <option value="En">English</option> -->
                                <option value="Hi">Hindi</option>
                                <option value="Gj">Gujarati</option></select>
                        </div>
                        <div class="col-md-4">
                            <label>Translation</label>
                            <input type="text" name="language_value[]" value="" class="form-control" required="true" /></div>
                        <div class="col-md-4 mt-5"> <a href="javascript:void(0);" class="add_button" title="Add field"><img src="../add-icon.png"/></a>
                        </div>
                    </div>
                </div>
  <?php  }


    ?><span style="color:red;" id="langError"></span>
                    <?php 
                } ?>
                  
<div class="row">
                <div class="col-md-4 mt-4">
                  
<?= Html::submitButton($model->isNewRecord ? 'Create Token' : 'Update Token', ['class' =>'btn btn-primary']) ?>
                </div>  
            </div>
            </div>
              
        </div>
    </div>

            <?php ActiveForm::end(); ?>

    <div class="box">
        <div class="box-header">
            <?php
            $gridColumnsExcelDownload = [

                'token_type',
                [
                    'attribute' => 'token_amt',
                    'label' => 'Token Amount',
                ],
                [
                    // 'attribute' => 'language',
                    'label' => 'Language',
                    'format' => 'HTML',
                    'value' => function ($data) {
                        return createOLList($data->language);
                    }
                ],
                [
                    'label' => 'Created At',
                    'attribute' => 'created',
                    'value' => function ($data) {
                        return (!empty($data->created)) ? date("d-m-Y H:i:s", strtotime($data->created)) : "";
                    }
                ],
                [
                    'label' => 'Updated At',
                    'attribute' => 'updated',
                    'value' => function ($data) {
                        return (!empty($data->updated)) ? date("d-m-Y H:i:s", strtotime($data->updated)) : "";
                    }
                ],
                [
                    'attribute' => 'status',
                    'value' => function ($data) {
                        return $data->status == 1 ? 'Active' : 'Inactive';
                    }
                ],
            ];


            echo ExportMenu::widget([
                'dataProvider' => $dataProvider,
                'filterModel' => $searchModel,
                'columns' => $gridColumnsExcelDownload,
                'fontAwesome' => true,
                'dropdownOptions' => [
                    'label' => 'Download',
                    'class' => 'btn btn-default'
                ],
                'filename' => 'Token',
                'target' => ExportMenu::TARGET_SELF,
                'exportConfig' => [
                    ExportMenu::FORMAT_TEXT => false,
                    ExportMenu::FORMAT_PDF => false,
                    ExportMenu::FORMAT_EXCEL => false,
                    ExportMenu::FORMAT_EXCEL_X => false,
                    ExportMenu::FORMAT_HTML => false,
                ],
            ])
            ?>

            <?=
            GridView::widget([
                'dataProvider' => $dataProvider,
                'filterModel' => $searchModel,
                'tableOptions' => ['class' => 'table'],
                'columns' => [
                    ['class' => 'yii\grid\SerialColumn', 'header' => 'S.No.'],
                    'token_type',
                    [
                        'attribute' => 'token_amt',
                        'label' => 'Token Amount',
                    ],
                    [
                        'label' => 'Language',
                        'format' => 'raw',
                        'value' => function ($data) {
                            return createOLList($data->language);
                        }
                    ],
                    [
                        'class' => 'yii\grid\ActionColumn',
                        'header' => 'Action',
                        'template' => '{view}{update}',
                    ],
                ],
            ]);
            ?>
        </div>
    </div>
    <script src="<?php echo Url::to("@web/js/add_language.js") ?>"></script>
    <script type="text/javascript">
        var selectedLanguage = [];
        $(".lang").each(function () {
            selectedLanguage.push($(this).val());
        })

        $('select').on('change', function () {

            var selected = $(this).find('option:selected').val();
            var chengeValue = this.value;
            console.log(chengeValue);
            console.log(selectedLanguage);
            if ($.inArray(chengeValue, selectedLanguage) != -1) {
                // var selected= $(this).parent().attr("id");
                // alert(selected);
                //alert("Please select different language");
                $("#langError").html("Please select different language");

                //  langUpdate
                $("#langUpdate").prop("disabled", true);
            } else {
                $("#langError").html("");
                $("#langUpdate").prop("disabled", false);

            }
            selectedLanguage = [];
            $(".lang").each(function () {
                selectedLanguage.push($(this).val());
            })
            console.log(selectedLanguage);

        });


        // console.log(selectedLanguage);
    </script>