<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use yii\helpers\Url;
use kartik\date\DatePicker;
use yii\helpers\ArrayHelper;
/* @var $this yii\web\View */
/* @var $searchModel backend\models\UserLevelSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('app', 'User Levels');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="user-level-index">
    <?php Pjax::begin(); ?>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?php // Html::a(Yii::t('app', 'Create User Level'), ['create'], ['class' => 'btn btn-success']) ?>
    </p>
    <div class="box">
        <div class="box-header">
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            // 'id',
            'user_level',
            [ 
                'label' => 'Created At',
                'attribute'=>'created_at',
                'filter' =>DatePicker::widget([
                'name' => 'UserLevelSearch[created_at]', 
                'type' => DatePicker::TYPE_INPUT,
                'options' => ['placeholder' => 'Select Date'],
                'value'=>isset($_GET['UserLevelSearch']['created_at']) ? $_GET['UserLevelSearch']['created_at'] :"",
                'pluginOptions' => [
                    'autoclose'=>true,
                    'format' => 'dd-mm-yyyy'
                ]
            ]),
                             
                'value' => function($data){
                    return (!empty($data->created_at)) ? date("d-m-Y H:i:s",  strtotime($data->created_at)) : null;
                }
            ],     

            [ 
                'label' => 'Updated At',
                'attribute'=>'updated_at',
                'filter' =>DatePicker::widget([
                'name' => 'UserLevelSearch[updated_at]', 
                'type' => DatePicker::TYPE_INPUT,
                'options' => ['placeholder' => 'Select Date'],
                'value'=>isset($_GET['UserLevelSearch']['updated_at']) ? $_GET['UserLevelSearch']['updated_at'] :"",
                'pluginOptions' => [
                    'autoclose'=>true,
                    'format' => 'dd-mm-yyyy'
                ]
            ]),
                             
                'value' => function($data){
                    return (!empty($data->updated_at)) ? date("d-m-Y H:i:s",  strtotime($data->updated_at)) : null;
                }
            ], 

            [
              'attribute' => 'status',
              'filter'=>array("1"=>"Active","2"=>"Inactive"),
              'filterInputOptions' => ['class' => 'form-control', 'id' => null, 'prompt' => 'All'],
              'value' => function($data){
                    return $data->status == 1 ? 'Active' : 'Inactive';
                }
            ],
            //'latitude',
            //'longitude',

            [
            'header' => 'Action',
            'content' => function($data) {
                $viewUrl = Url::to(["view", "id" => $data->id]);
                $updateUrl = Url::to(["update", "id" => $data->id]);
                return "<a role='menuitem' tabindex='-1' title='Modify' aria-label='Modify'  href='{$updateUrl}'><span class='glyphicon glyphicon glyphicon-pencil'></span></a>"."&nbsp;"."<a role='menuitem' tabindex='-1' title='View' aria-label='View'  href='{$viewUrl}'><span class='glyphicon glyphicon glyphicon-eye-open'></span></a>";
            }
            ],
        ],
    ]); ?>
</div>
</div>
    <?php Pjax::end(); ?>
</div>
