<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\grid\GridView;
use yii\helpers\Url;
use yii\helpers\ArrayHelper;
/* @var $this yii\web\View */
/* @var $model backend\models\User */
/* @var $form yii\widgets\ActiveForm */
?>
<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/2.0.0/jquery.min.js"></script>
<link rel="stylesheet" type="text/css" href="<?= Url::to('@web/css/styles.css') ?>">
<div class="user-form">

    <?php $form = ActiveForm::begin(); ?>
    <div class="box box-primary" style="background-color: #DCDCDC;">
        <div class="box-header with-border">&nbsp;
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>
        <!-- /.box-header -->
    <div class="box-body">
    <div class="row">
        <div class="col-md-4">
    <?= $form->field($model, 'name')->textInput(['maxlength' => true,'autocomplete'=>"off",'placeholder'=>'Enter Name','required' => 'required']) ?>
        </div>
    <?php // $form->field($model, 'username')->textInput(['maxlength' => true]) ?>
        <div class="col-md-4">
    <?= $form->field($model, 'mobile')->textInput(['autocomplete'=>"off",'placeholder'=>'Enter Mobile No.','required' => 'required']) ?>
        </div>
        <div class="col-md-4">
    <?= $form->field($model, 'email')->textInput(['maxlength' => true,'autocomplete'=>"off",'placeholder'=>'Enter Email','required' => 'required']) ?>
        </div>
    </div>
  <div class="row">
        <div class="col-md-4">
    <?php 
      if($model->isNewRecord)
      {
        echo $form->field($model, 'username')->textInput(['autocomplete'=>"off",'placeholder'=>'username','required' => 'required']);
      } 
    ?>
        </div>
        <div class="col-md-4">
    <?php 
      if($model->isNewRecord){ ?>
        <label>Password</label>
        <input type="text" name="User[password_hash]" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?=.*[#@%&*.]).{8,}" title="Must contain at least one number and one uppercase and lowercase letter and one special character, and at least 8 or more characters" class="form-control", placeholder="Enter Password" required="required">
        <span id="password_strength"></span>
     <?php }
    ?>
    
        </div>
  
    
  </div>

    <?php // $form->field($model, 'password_hash')->textInput(['maxlength' => true]) ?>

    <?php // $form->field($model, 'password_reset_token')->textInput(['maxlength' => true]) ?>

    <?php // $form->field($model, 'auth_key')->textInput(['maxlength' => true]) ?>

    <?php // $form->field($model, 'changed_password_once')->textInput(['maxlength' => true]) ?>

    <?php // $form->field($model, 'confirm_password')->textInput(['maxlength' => true]) ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create User' : 'Update User', ['class' => 'btn btn-primary btnStyle']) ?>
    </div>
    </div>
    </div>
    </div>
    <?php ActiveForm::end(); ?>
    <div class="box">
        <div class="box-header">
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'tableOptions' => ['class' => 'table'],
        'columns' => [
            ['class' => 'yii\grid\SerialColumn','header'=>'S.No.','headerOptions' => [
                         'style' => 'color:#3c8dbc'],],

            // 'id',
            'name',
            'username',
            // 'password_hash',
            'mobile',
           
            //'password_reset_token',
            //'email:email',
            //'auth_key',
            //'status',
            //'created_at',
            //'updated_at',
            //'changed_password_once',
            //'confirm_password',
       
            ['class' => 'yii\grid\ActionColumn','header'=>'Tools','headerOptions' => [
                         'style' => 'color:#3c8dbc'],],
        ],
    ]); ?>
</div>
</div>
</div>

<!-- Bootstrap Modal -->
    <div id="myModal" class="modal fade" role="dialog">
      <div class="modal-dialog" style="width: 1000px;">
        <!-- Modal content-->
        <div class="modal-content">
          <div class="modal-header" style="background-color: #3c8dbc">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Location Status</h4>
          </div>
          <div class="modal-body" style="background-color: #F7F9F9">
          </div>
          <div class="modal-footer" style="background-color: #3c8dbc">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          </div>
        </div>

      </div>
    </div>
<!-- End Here -->

<script>
    function userLocationValue(user_id,level_id){
          $('#myModal').modal('show');
          $('.modal-body').html("");
          $.ajax({
              url: '<?php echo Url::to(["site/get-user-location-list"]); ?>',
              type: 'POST',
              data: {
                'user_id':user_id,
                'level_id': level_id
              },
          success: function(data) {
                $('.modal-body').html(data);
          },
          error: function(e) {
            //console.log(e.message);
          }
        });
    }
</script>
