<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\grid\GridView;
use yii\helpers\Url;
use yii\helpers\ArrayHelper;
use kartik\export\ExportMenu;

/* @var $this yii\web\View */
/* @var $model backend\models\User */
/* @var $form yii\widgets\ActiveForm */
?>
<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/2.0.0/jquery.min.js"></script>
<link rel="stylesheet" type="text/css" href="<?= Url::to('@web/css/styles.css') ?>">


<div class="box">
    <div class="box-header">
        <?php
        $gridColumnsExcelDownload = [

            'name',
            'username',
             [
               // 'attribute' => 'User Id',
                'label' => 'User Id',
                'value' => function($data) {
                    $userId = $data->username."-".$data->mobile;
                    return $userId;
                }
            ],
            'mobile',
            [
                'attribute' => 'institution_id',
                'label' => 'School & College Name',
                'value' => function($data) {
                    $instituteName = \backend\models\User::getInstitution($data->institution_id);
                    return $instituteName;
                }
            ],
            [
                'attribute' => 'district_id',
                'label' => 'District',
                'value' => function($data) {
                    $instituteName = \backend\models\User::getDistrict($data->district_id);
                    return $instituteName;
                }
            ],
            [
                'label' => 'dob',
                'attribute' => 'dob',
                'value' => function($data) {
                    return (!empty($data->dob)) ? date("d-m-Y H:i:s", strtotime($data->dob)) : null;
                }
            ],

            [
                'attribute' => 'dob',
                'label' => 'Age',
                'value' => function($data){
                    return calculateAge($data->dob);
                }
            ],

            [
                'attribute' => 'gender',
                'label' => 'Gender',
                'value' => function($data) {
                    if ($data->gender == 1) {
                        return "Male";
                    } else if ($data->gender == 2) {
                        return "Female";
                    } else {
                        return "";
                    }
                }
            ],
            'photo',
            'address',
            // 'auth_key',
            [
                'attribute' => 'status',
                'label' => 'Status',
                'value' => function($data) {
                    return $data->status == 1 ? 'Active' : 'Inactive';
                }
            ],
            [
                'label' => 'Created At',
                'attribute' => 'created_at',
                'value' => function($data) {
                    return date("d-m-Y H:i:s", strtotime($data->created_at));
                }
            ],
            [
                'label' => 'Updated At',
                'attribute' => 'updated_at',
                'value' => function($data) {
                    return (!empty($data->updated_at)) ? date("d-m-Y H:i:s", strtotime($data->updated_at)) : null;
                }
            ],
        ];


        echo ExportMenu::widget([
            'dataProvider' => $dataProvider,
            'filterModel' => $searchModel,
            'columns' => $gridColumnsExcelDownload,
            'fontAwesome' => true,
            'dropdownOptions' => [
                'label' => 'Download',
                'class' => 'btn btn-default'
            ],
            'filename' => 'user',
            'target' => ExportMenu::TARGET_SELF,
            'exportConfig' => [
                ExportMenu::FORMAT_TEXT => false,
                ExportMenu::FORMAT_PDF => false,
                ExportMenu::FORMAT_EXCEL => false,
                ExportMenu::FORMAT_EXCEL_X => false,
                ExportMenu::FORMAT_HTML => false,
            ],
        ])
        ?>
        <?=
        GridView::widget([
            'dataProvider' => $dataProvider,
            'filterModel' => $searchModel,
            'tableOptions' => ['class' => 'table'],
            'columns' => [
                ['class' => 'yii\grid\SerialColumn', 'header' => 'S.No.', 'headerOptions' => [
                        'style' => 'color:#3c8dbc'],],
                // 'id',
                'name',
                [ 'label' => 'District',
                    'attribute'=>'district_id',
                     'filter' => ArrayHelper::map(backend\models\District::find()->where(['status'=>'1'])->asArray()->all(), 'id', 'district_name'),
                    'value' => function($data) {
                $districtName = \backend\models\User::getDistrict($data->district_id);
                return $districtName;
            },
                    ],
                    
                'username',
                
                'mobile',
//                [ 'label' => 'District',
//                    'options' => ['placeholder' => 'Select District'],
//                    'filter' => ArrayHelper::map(backend\models\District::find()->asArray()->all(), 'id', 'district_name'),
//                    'value' => function($data) {
//                $districtName = \backend\models\User::getDistrict($data->district_id);
//                return $districtName;
//            },
//                ],
                //'password_reset_token',
                //'email:email',
                //'auth_key',
                [
                    'attribute' => 'status',
                    'filter' => array("0" => "Block", "1" => "Active"),
                    'filterInputOptions' => ['class' => 'form-control', 'id' => null, 'prompt' => 'status'],
                    'value' => function($data) {
                if ($data->status == 0) {
                    return "Block";
                } else if ($data->status == 1) {
                    return "Active";
                } else {
                    return "";
                }
            }
                ],
                //'created_at',
                //'updated_at',
                //'changed_password_once',
                //'confirm_password',
                [
                    'class' => 'yii\grid\ActionColumn',
                    'header' => 'Action',
                    'template' => '{view}{delete}',
                ],
                
            ],
        ]);
        ?>
    </div>
</div>
<?php 
function calculateAge($dob){
    $dateOfBirth = $dob;
    $today = date("Y-m-d");
    $diff = date_diff(date_create($dateOfBirth), date_create($today));
    return  $diff->format('%y');
}

?>
