<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model backend\models\User */

$this->title = $model->username;
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'Users'), 'url' => ['create']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="user-view">

   <p>
        <!-- <?php //echo Html::a(Yii::t('app', 'Update'), ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?> -->
        <!-- <?php //
        // Html::a(Yii::t('app', 'Delete'), ['delete', 'id' => $model->id], [
        //     'class' => 'btn btn-danger',
        //     'data' => [
        //         'confirm' => Yii::t('app', 'Are you sure you want to delete this item?'),
        //         'method' => 'post',
        //     ],
        // ])
        ?>-->
        <a  class="btn btn-primary" onclick="window.history.go(-1);">Back</a>
    </p>
			 
    <div class="box">
        <div class="box-header">
    <?= DetailView::widget([
        'model' => $model,
        'options' => ['class' => 'table detail-view'],
        'attributes' => [
          //  'id',
            'username',
            'mobile',
             [
                'attribute' => 'institution_id',
                'label' => 'School & College Name',
                'value' => function($data){
                $instituteName = \backend\models\User::getInstitution($data->institution_id);
                if($instituteName=="others"){
                  return  $data->other_institution."(".$instituteName.")";
                }else{
                   return $instituteName;  
                }
               
             
                }
            ],
            [
            'attribute' => 'district_id',
            'label' => 'District',
            'value' => function($data){
            $districtName = \backend\models\User::getDistrict($data->district_id);
            return $districtName;

            }
            ],
        [
            'attribute' => 'otp',
            'label' => 'OTP',
        ],
        [
                'attribute' => 'otp_status',
                'label' => 'OTP status',
                'value' => function($data){
                    return $data->otp_status == 1 ? 'Active' : 'Inactive';
                }
            ],
           [
            'attribute' => 'dob',
            'label' => 'DOB',
        ],
           
            [
            'attribute' => 'gender',
            'label' => 'Gender',
            'value' => function($data){
              if($data->gender ==1){ return "Male";}else if($data->gender ==2){ return "Female"; }else{ return "Other"; }
            }
            ],
            [
            'attribute'=>'photo',
            'value'=> $model->photo,
            'format' => ['image',['width'=>'100','height'=>'100']],
            ],
            // [
            //     'attribute' => 'id',
            //     'label' => 'Total Earn Token',
            //     'value' => function($data){
            //         return earntokenByuser($data->id);
            //     }
            // ],
            [
                'attribute' => 'id',
                'label' => 'Total Earned Token',
                'value' => function($data){
                    return earntokenAmtByuser($data->id);
                }
            ],
           // 'address',
           // 'auth_key',
            [
                'attribute' => 'status',
                'label' => 'Status',
                'value' => function($data){
                    return $data->status == 1 ? 'Active' : 'Inactive';
                }
            ],
            [ 
                'label' => 'Created At',
                'attribute'=>'created_at',
                'value' => function($data){
                    return date("d-m-Y H:i:s",  strtotime($data->created_at));
                }
            ],       
            [ 
                'label' => 'Updated At',
                'attribute'=>'updated_at',
                'value' => function($data){
                    return (!empty($data->updated_at)) ? date("d-m-Y H:i:s",  strtotime($data->updated_at)) : null;
                }
            ],
 
        ],
    ]) ?>
</div>
</div>
</div>
<?php

function getCategory($id) {
    $categoryName = \backend\models\Category::find()->select(['name'])->where(['id' => $id])->asArray()->one();
    return $categoryName['name'];
}

function earntokenByuser($userId){
    $user_token = \backend\models\UserReward::find()->select(['COUNT(id) AS token_count'])->where(['user_id' => $userId])->andWhere(['status'=>'1'])->asArray()->one();
    return ($user_token['token_count'] ? $user_token['token_count']:0);
}
function earntokenAmtByuser($userId){
    $user_token_amt= \backend\models\UserReward::find()->select(['SUM(token_amt) as earn_token_amt'])->where(['user_id' => $userId])->andWhere(['status'=>'1'])->asArray()->one();
    return ($user_token_amt['earn_token_amt'] ? $user_token_amt['earn_token_amt'] :0);
}

?>

