<?php

use yii\rest\Controller;
use yii\widgets\ActiveForm;
use yii\helpers\Url;

header('X-Frame-Options: DENY');
header('X-Frame-Options: SAMEORIGIN');

function test_input($data) {
    $data = trim($data);
    $data = stripslashes($data);
    $data = htmlspecialchars($data);
    return $data;
}

function keepLogActionWiseWeb($string = "", $request = false, $response = false) {

    $logDir = __DIR__ . '/logs/';
    $controller = \Yii::$app->controller->id;
    $action = \Yii::$app->controller->action->id;
    $controllerActionDir = $controller . "/" . $action;
    $uploads_dir = $logDir . $controllerActionDir . "/";
    if (!file_exists($uploads_dir)) {
        mkdir($uploads_dir, 0777, true);
    }
    if ($request && !empty($string)) {
        $dir = $uploads_dir . "request/" . date("d_m_Y") . "/";
        $file = $dir . getUserId() . '.txt';
        if (!file_exists($dir)) {
            mkdir($dir, 0777, true);
        }
        file_put_contents($file, ' REQUESTBODY [' . date("Y:m:d H:m:s") . '] | ' . $string . "\n" . PHP_EOL, FILE_APPEND | LOCK_EX);
    }
    if ($response && !empty($string)) {
        $dir = $uploads_dir . "response/" . date("d_m_Y") . "/";
        $file = $dir . getUserId() . '.txt';
        if (!file_exists($dir)) {
            mkdir($dir, 0777, true);
        }
        file_put_contents($file, ' RESPONSEBODY [' . date("Y:m:d H:m:s") . '] | ' . $string . "\n" . PHP_EOL, FILE_APPEND | LOCK_EX);
    }
    if (!empty($string)) {
        file_put_contents($logDir . 'log.txt', '[' . date("Y:m:d H:m:s") . '] | ' . $string . "\n" . PHP_EOL, FILE_APPEND | LOCK_EX);
    }
}

function getUserId() {
    $request = \Yii::$app->request;
    $bodyParams = $request->getHeaders();
    if ($bodyParams['token'] != null) {
        $token = JWT::decode($bodyParams['token'], \Yii::$app->params["tokenSecret"]);
        return $token->id;
    }
    return FALSE;
}

function getUserProfileName($userId, $table) {
    $query = new \yii\db\Query;
    $query->select(['name'])
            ->from($table)
            ->where(["id" => $userId]);
    $command = $query->createCommand();
    $response = $command->queryOne();
    return $response;
}

function createOLList($group) {
    $output = "";
    if (!empty($group) || $group != NULL) {
        $dataArr = json_decode($group, true);
        if (json_last_error() === 0) {
            $output.= "<ul>";
            foreach ($dataArr as $languageData) {
                foreach ($languageData as $key => $value) {
                    $item = $key . "-" . $value;
                    $output .= "<li>" . $item . ". </li>";
                }
            }
            $output.= "</ul>";
        } else {
            $output.="INVALID DATA";
        }
    }
    return $output;
}

function is_JSON($args) {
    json_decode($args, true);
    return (json_last_error() === JSON_ERROR_NONE);
}

function sendOTP($message, $mobile) {

    $authKey = "253372Ap1IzReNL6nT5c20e766";
    $senderId = "UMGIEP";
    $route = "4";  //Define route
    //Prepare you post parameters
    $postData = array(
        'authkey' => $authKey,
        'mobiles' => $mobile,
        'message' => $message,
        'sender' => $senderId,
        'route' => $route
    );
    $url = "https://api.msg91.com/api/v2/sendsms";   //API URL
    // init the resource
    $ch = curl_init();
    curl_setopt_array($ch, array(
        CURLOPT_URL => $url,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_POST => true,
        CURLOPT_POSTFIELDS => $postData
            //,CURLOPT_FOLLOWLOCATION => true
    ));
    //Ignore SSL certificate verification
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 1);
    $output = curl_exec($ch);   //get response
    $res = json_decode($output);
    $responseInfo = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    //Print error if any
    if ($res->type == "success") {
        return 1;
    } else {
        return 0;
    }

    //curl_close($ch);
}

function getDistrictByUserId($id) {
    $data = \backend\models\User::find()->select(['district.district_name'])
                    ->join('INNER JOIN', 'district', '`user`.district_id =district.id')
                    ->where(['`user`.id' => $id])->asArray()->one();
    return !empty($data['district_name']) ? $data['district_name'] : "";
}

function getDistrictByInstitutionId($id) {
    $data = \backend\models\District::find()->select(['district_name'])->where(['id' => $id])->asArray()->one();
    return !empty($data['district_name']) ? $data['district_name'] : "";
}
function getDistrictBy($id) {
    $data = \backend\models\District::find()->select(['district_name'])->where(['id' => $id])->asArray()->one();
    return !empty($data['district_name']) ? $data['district_name'] : "";
}


function display_array($array) {
    echo '<pre>';
    print_r($array);
    echo '</pre>';
}

function getPageCount($totalCount, $limit) {
    return (int) (($totalCount + $limit - 1) / $limit);
}
/*-----Retrun Event name, event location
 * Input param:  event_txn_id
 */

function getEventName($id) {
   $eventData = \backend\models\ReportedEvent::find()->select(['event_name','event_location'])->where(['event_txn_id' => $id])->asArray()->one();
    return $eventData;
}
?>
